TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ExpandToPrecision ( elt-alg^pol f, elt-rng^ser c, elt-ord^rat n ) -> elt-rng^ser

### Optional Arguments

PreciseRoot | elt-alg^boo |  |
TestSquarefree | elt-alg^boo |  |

### Description

<shortdoc> Given the partial root c of a polynomial f expand the root to relative precision n/d where d is the exponent denominator of the result. </shortdoc>

### Examples

x_Rx:=PuiseuxSeriesRing(Q); x_Ry:=PolynomialAlgebra(x_Rx); x_f:=x_Ry.1^2 + x_Rx.1^3 + x_Rx.1; x_P:=PuiseuxExpansion(x_f,0); ExpandToPrecision(x_f, x_P[1], 5);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack